.\"
.\" Copyright (c) 1994 Wilko Bulte
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote products
.\"    derived from this software withough specific prior written permission
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
.\" OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
.\" IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
.\" INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
.\" NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
.\" DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
.\" THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
.\" (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
.\" THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\" $FreeBSD: src/share/man/man4/man4.i386/uha.4,v 1.5.2.4 1999/09/05 11:27:02 peter Exp $
.Dd August 31, 1994
.Dt UHA 4 i386
.Os FreeBSD
.Sh NAME
.Nm uha
.Nd
UltraStor SCSI host adapter driver
.Sh SYNOPSIS
For ULTRA 24F controllers in EISA mode:
.Cd "controller uha0 at isa? bio irq ? vector uhaintr
.Cd "controller scbus0
.Pp
For ULTRA 14F and 34F controllers:
.Cd "controller uha0 at isa? port" \&"IO_UHA0\&" bio irq ? drq 5 vector uhaintr
.Cd "controller scbus0
.Pp
For each disk:
.Cd "device sd0
.Pp
For each tape device:
.Cd "device st0
.Pp
For one or more cdroms:
.Cd "device cd0
.Sh DESCRIPTION
This driver provides access to SCSI devices connected to an UltraStor
ULTRA 14F, ULTRA 24F or ULTRA 34F host adapter.
.Pp
Note that for an ULTRA 24F in EISA mode no I/O addresses or DMA channels 
are required in the kernel config file. If they are present, the driver
will correctly find the ULTRA 24F, but you tie up precious DMA channels
and I/O ranges which are not used by the card.
The ULTRA 24F uses EISA slot specific I/O which is configured 
automatically.
.Sh FILES
.Bl -tag -width Pa -compact
.It Pa /sys/i386/conf/GENERIC
sample generic kernel config file for Bustek and UltraStor based systems
.It Pa /sys/i386/isa/ultra14f.c
driver source
.El
.Sh SEE ALSO
.Xr cd 4 ,
.Xr scsi 4 ,
.Xr sd 4 ,
.Xr st 4
